import styled from "styled-components";

export const StyledFooter = styled.footer`
  display: flex;
  flex-direction: column;
  background: #2f3330;
  padding: 40px;
  ${({ theme }) => theme.breakpoints.up("s")} {
    flex-direction: row-reverse;
    justify-content: space-between;
    flex-grow: 1;
    align-items: center;
    padding: 128px 48px;
  }
`;

export const SocialIconsList = styled.div`
  & a {
    height: 40px;
    width: 40px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
  }
  & a:not(:last-child) {
    margin-right: 8px;
  }
  margin-bottom: 40px;
  ${({ theme }) => theme.breakpoints.up("m")} {
    margin: 0px;
  }

  & .socialIcon {
    fill: ${({ theme }) => theme.pallete.icon.primary};
  }
`;

export const PrivacyAndTerms = styled.a`
  display: flex;
  flex-direction: column;
  ${({ theme }) => theme.breakpoints.up("m")} {
    flex-direction: row;
  }
  & div:not(:last-child) {
    margin-bottom: 20px;
    ${({ theme }) => theme.breakpoints.up("m")} {
      margin-bottom: 0px;
      margin-right: 48px;
    }
  }
`;
